# DynDNS

Dynamic DNS records can be used for assigning hostnames to local devices.

It combines **DHCPv4 server leases** with **IP neigh** and add ALL device addresses to DNS hostnames.

Can be used for assinging **RA addresses to device hostnames**, which are defaultly **NOT** assigned in OpenWrt.

Add this script to **dnsmasq's dhcp-script** option:
```
dhcp-script = lua /path/to/dyndns.lua
```

Or via dhcpscript in uci:
```
config dnsmasq
	option dhcpscript 'lua /path/to/dyndns.lua'
```

Also add `list addnhosts '/tmp/dyndns'` to make dnsmasq using DynDNS's hosts file.